//
// Licensed to the Apache Software Foundation (ASF) under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  The ASF licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.
//

package com.cloud.agent.api;

import java.util.HashMap;
import java.util.Map;

import com.cloud.host.Host;
import com.cloud.utils.Pair;

public class PingRoutingWithNwGroupsCommand extends PingRoutingCommand {
    HashMap<String, Pair<Long, Long>> newGroupStates;

    protected PingRoutingWithNwGroupsCommand() {
        super();
    }

    public PingRoutingWithNwGroupsCommand(Host.Type type, long id, Map<String, HostVmStateReportEntry> hostVmStateReport,
            HashMap<String, Pair<Long, Long>> nwGrpStates) {
        super(type, id, hostVmStateReport);
        newGroupStates = nwGrpStates;
    }

    public HashMap<String, Pair<Long, Long>> getNewGroupStates() {
        return newGroupStates;
    }

    public void setNewGroupStates(HashMap<String, Pair<Long, Long>> newGroupStates) {
        this.newGroupStates = newGroupStates;
    }
}
