// Licensed to the Apache Software Foundation (ASF) under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  The ASF licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.
package com.cloud.agent.manager;

public class SimulatorInfo {
    private boolean enabled;
    private int timeout;
    private String hostUuid;

    public SimulatorInfo(boolean enabled, int timeout, String hostUuid) {
        this.enabled = enabled;
        this.timeout = timeout;
        this.hostUuid = hostUuid;
    }

    public SimulatorInfo() {
        this.enabled = true;
        this.timeout = -1;
        this.hostUuid = null;
    }

    public boolean isEnabled() {
        return this.enabled;
    }

    public int getTimeout() {
        return this.timeout;
    }

    public String getHostUuid() {
        return this.hostUuid;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    public void setTimeout(int timeout) {
        this.timeout = timeout;
    }

    public void setHostUuid(String hostUuid) {
        this.hostUuid = hostUuid;
    }
}
